function class = findbbclass(imgt, objects, bb)

if numel(imgt)
    bb = round(bb);
    overlaps = zeros(length(objects), 1);
    tempbb = zeros(size(imgt, 1), size(imgt, 2));
    tempbb(max(1,bb(2)):min(size(imgt,1), bb(2)+bb(4)),max(1,bb(1)):min(size(imgt, 2), bb(1)+bb(3))) = 1;
    for j = 1 : length(objects)
        % try finding bounding box of object
        temp = ones(size(imgt, 1), size(imgt, 2));
        for k = 1 : size(imgt, 3)
            temp = temp .* double(imgt(:,:,k) == objects(j).color(k));
        end;
        [x, y] = find(temp);
        if numel(x) >= 10  % object at least 40 pixels
             overlap = tempbb .* double(temp==1);
             overlaparea = sum(overlap) / sum(tempbb);
             overlaps(j) = overlaparea;
         end;
    end;

    [m, classid] = max(overlaps);
    class = objects(classid).class;
    if m==0, class = ''; end;
else
    class = '';
end;